<div>
  <div class="mb-3 d-flex justify-content-end">
    <button
      class="btn btn-primary col-1 mr-2"
      type="reset"
      (click)="clear()"
    >
      Clear
    </button>
    <button
      class="btn btn-primary col-1 mr-2"
      type="reset"
      (click)="reset()"
    >
      Reset
    </button>
    <button
      class="btn btn-success col-1"
      type="submit"
      [disabled]="saved"
      (click)="save()"
    >
      Save
    </button>
  </div>
  <div class="row border rounded p-2">

    <div class="col-lg-6 col-md-12 edgar-overlap">
      <code-mirror
        [initialCode]="getCurrText()"
        [questionType]="currQuestion.type"
        [cmSkin]="cmSkin"
        (codeChanged)="onTextChanged($event)"
      >
      </code-mirror>
    </div>

    <div #mermaidOutput class="col-lg-6 col-md-12 preview">please, type the graph definition to the left...</div>
  </div>
</div>
